function onTalk()
	local location = ""
	local hasgolden = getFlag("flag_golden")
	if arguments and type(arguments) == 'string' then
		location = arguments
	end
	if hasgolden == true then
		wait(0.2)
		teleport(232, 152, "GymHub")
		endCutscene()
	end
	disableMovement()
	choiceDialog({
	{
		"Violet_HardlistGyms_Close",
		onChosen = function ()
				closeChoiceDialog()
		end
	},
	{
		"Violet_HardlistGyms_Hub",
		onChosen = function ()
				teleport(232, 152, "GymHub")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Subpixel_loc_0",
		requires =
		function ()
			if location == "Subpixel_0" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(-100, 740, "Subpixelology")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Subpixel_loc_1",
		function ()
			if location == "Subpixel_1" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(1500, 152, "Subpixelology")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	}
	})
	enableMovement()
end

function onEnd(room, wasSkipped)
    if wasSkipped then
        enableMovement()
    end
end

